Ubuntu 行為規範(第二版)

星球

Blog:Breezy Dream

歡迎光臨小弟的Blog,這裡是小弟把自己的意見、看法甚至是心情丟上來的地方,也是和大家一起分享好東西的地方!歡迎大家一起進入我的微風之夢!
最後更新: 2016/4/23 2:12:00
RSS | RDF | ATOM

Ubuntu Oneiric Ocelot 64bit 執行 32 位元程式顯示 No Such File or Directory.

2011/10/24 19:30:00 | Breezy Dream

之前升級 Oneiric Ocelot 之後, adb 就一直動不了,明明檢查了老半天也沒有缺 library ,但無論怎麼執行就是一直吐 No such file or directory 的訊息給我。 搞到最後索性自己編一個 64 位元的 adb 來用。 adb 是可以動了,但我後來嘗試安裝 Packet Tracer 又遇到同一個問題,查了又查才找到原來是這個 bug 在搞鬼。

根據底下內容提到,只要重新安裝 libc6-i386 就可以解決。

$ sudo aptitude reinstall libc6-i386

BTW, 第一次用手機上的 Blogger 打網誌,所以廢話比較少,感覺還不錯。

GIMP 2.6 Released!

2012/2/8 16:40:00 | Breezy Dream
GIMP 2.6

Linux 下重要的影像處理軟體 GIMP10/01 時正式釋出了第 2.6 版,從外觀上可以輕易的看出他與以往版本的不同,這個版本也包含了非常多的改進,雖然平常習慣使用 PhotoShop 的人可能還是會難以適應。 XD

GIMP 2.6 for Snapshot

GIMP 2.6 還沒出現在目前 Ubuntu 8.04 的官方套件來源中,不過大家還是可以單獨下載 DEB 檔案裝,以下為大家整理出 GIMP 2.6 相關套件的下載點:

以上是 GIMP 2.6Ubuntu 套件包下載點,只要把上列 6 個套件全部裝上去就可以囉!更多詳情請參考 GIMP 官方網站

KDE 4.1.2 Released!

2012/2/8 16:40:00 | Breezy Dream

KDE 4.1.2 已經於 2008/10/03 正式釋出啦!一如以往,此版也修正了許多錯誤,其中包括 Kopete 在使用 ICQ, Yahoo 以及 Gadu-Gadu 時會當機的問題。此外 KHTML 也修正了許多錯誤, Konqueror 的「停止動畫」也重新出現!更多詳情可以參見 KDE 官網的說明

如果你使用 Kubuntu 並且想嘗試 KDE 4.1.2 的話,你可以依照下列步驟安裝 KDE 4.1.2

  1. 首先請在 /etc/apt/sources.list 中加入以下來源:
    deb http://ppa.launchpad.net/kubuntu-members-kde4/ubuntu hardy main
  2. 接著請更新套件來源,並安裝「kubuntu-kde4-desktop」:
    $ sudo aptitude update; sudo aptitude install kubuntu-kde4-desktop
  3. 安裝完成後,請在登入畫面中將工作階段選擇成 KDE4 再登入就可以囉!
如果你發現你的 KDE4 是英文的,請參考這篇文章

Kubuntu Intrepid Ibex

2012/2/8 16:40:00 | Breezy Dream

Kubuntu Intrepid Ibex 釋出的時間只剩下不到一天的時間啦! 在 Kubuntu/Ubuntu 開發團隊這半年的奮鬥過後,成果到底如何? 來簡單瀏覽一下Kubuntu Intrepid Ibex 有什麼新鮮的吧!

KDE4 Snapshot

KDE4! Kubuntu Intrepid Ibex 與前一版的 Kubuntu Hardy Heron 最大的差別與最重要的改進就在於此,在 8.10 當中, Kubuntu 正式完整整合最新版本的 KDE 4.1.2 做為預設的桌面環境,以時間點來說,現在也的確是轉換到新版 KDE4 的良好時機。 如果升級到此版,原本的 KDE 3.5 將會升級為 KDE 4.1,且新版 Intrepid Ibex 中將不包含 KDE 3.5,請想繼續使用 KDE 3.5 的人務必注意。 此外,使用 Kubuntu 8.04 KDE4 Remix 的人的設定檔可能無法順利轉換到 Kubuntu 8.10 使用,除設定檔資料夾名稱不同外,由於目錄架構也不同,因此設定檔可能還須重建。 欲了解 KDE 4.1 是什麼玩意,可以參考此文章

New Adept

向來被我認為不是很好用的 Adept ,這次也有新的進展。 Intrepid Ibex 採用了全新的 Adept 3.0,不但是整合最新 KDE4 的版本,同時介面和操作方式大幅改進,看起來比以前更加平易近人更易使用。 雖然仍是 Beta 版,但堪用程度不會雅於舊版喔!

新的 Kubuntu Intrepid Ibex 也將相當多原本只在 KDE3 程式順利移植到 KDE4 ,比起之前的 Kubuntu Hardy Heron KDE4 Remix 來說改進相當顯著。 對於想進入 KDE4 世界的人來說, Kubuntu Intrepid Ibex 是個不錯的起點。當然,許多尚未移植到 KDE4 的程式,也可以在新的 Kubuntu 中正常執行。

關於升級的方式,跟以往一樣,若你想從 8.04 進行升級,可以選擇直接透過網路升級,或利用文字模式光碟(Alternative CD)進行升級,但請注意, Desktop CD 並不包含升級的功能。就我個人來說,我比較建議使用光碟升級,因為這樣可以減少許多下載時間,也可以避免下載到一半出問題又要重頭再來,穩定性較為可靠。 若沒有燒錄器或怕浪費空片的人怕麻煩的人,也可以在下載光碟映像檔以後直接掛載就可以當作升級光碟使用了! 例如:
$ sudo mount -t iso9660 -o loop ./kubuntu-8.10-alternate-amd64.iso /media/cdrom
就可以把 ./kubuntu-8.10-alternate-amd64.iso 掛載到 /media/cdrom 下,此時按 【Alt + F2】 並執行:
kdesudo /media/cdrom/cdromupgrade
就可以打開程式進行升級囉!

一如以往一樣,你可以直接從全球各大映像站取得 Kubuntu Intrepid Ibex 的光碟映像檔,也可以免費的從這裡申請索取免費的 Kubuntu 光碟,不過要注意的是,申請的 Kubuntu 光碟屬於 Desktop CD,所以並不包含升級功能。另外,為避免資源浪費,請不要忘記你申請的光碟是可以重覆使用的,你可以把一張光碟和許多人分享,依照 GPL 授權條款,這並不違法! :)

最後附上 Kubuntu Intrepid Ibex 位於台灣大學的下載點

OpenOffice.org 3.0 for Ubuntu Intrepid Ibex

2012/2/8 16:40:00 | Breezy Dream
  • 本文僅適用 Ubuntu Intrepid Ibex ,若您使用的是其它版本,操作方式可能略有出入。

OpenOffice.org 3.0 可說是 OpenOffice.org 這套重量級開源辦公室軟體的重要升級,除了支援 OpenXML 格式之外,也同時支援了最新的 ISO ODF 1.2 國際標準。 此外,這個版本終於不負期待的原生支援 IntelMacOSX 上,而不需再依賴 X11 環境的幫助了!

但由於 OpenOffice.org 3.0 的釋出日期實在是太逼近 Ubuntu Intrepid Ibex ,因此 Ubuntu 開發團隊並沒有足夠的時間做整合與測試的工作,因此 Ubuntu Intrepid Ibex 決定保留 OpenOffice.org 2.4

雖然如此,但也並不代表使用 Ubuntu 的人就和 OpenOffice.org 3.0 無緣,在 Launchpad 上依然有一個專案叫作「 PPA for OpenOffice.org Scribblers 」,並且提供了 APT 套件來源,因此我們還是可以輕鬆的將 OpenOffice.org 升級到 3.0

欲升級到 OpenOffice.org 請先在 /etc/apt/sources.list 內加入以下套件來源:

# PPA for OpenOffice.org Scribblers
deb http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main
deb-src http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main

接著更新套件列表後,便可以將 OpenOffice.org 升級到 3.0 囉! :)

$ sudo aptitude update ;sudo aptitude full-upgrade

gcin 1.4.0 選字問題

2012/2/8 16:40:00 | Breezy Dream

由於新推出的 Ubuntu Intrepid Ibex 套件庫內的 gcin 是第 1.4.0 版,因此相信很多慣用 gcin 的人升級到 8.10 後都發覺了 gcin 選字怎麼就是選不對的問題。 據悉,這是 gcin 1.4.0 版本身的 Bug 之一,但要解決也不是沒有可能,以下提供了暫時的解決方案。

打開 gcin-setup 視窗按【 gcin 注音/詞音設定】,在鍵盤排列方式的地方選取【標準 standard 】按確定儲存。

gcin-setup

這樣一來就可以利用數字鍵區的數字鍵下去選字了(不能用打字鍵區的數字鍵喔),因為雖然原本預設的 asdf 選字有問題,但數字鍵選字還是可以用,因此可以調成數字鍵選字來避開此問題。 但首先這個方法治標不治本,再來一定得用數字鍵區會導致選字上的不便,因此我們可以手動升級到新版的 gcin ,最新的穩定版本 1.4.2 中,已經修正了該問題。

由於 Ubuntu 的套件庫中所包含的還是舊版的 gcin ,而且不知要等到民國幾年才會有更新,對於每天都要用的輸入法來說根本是不能等。因此剛去 Google 了一下,發現原來此問題在 Ubuntu 台灣討論區上早已被提及,但文中所提供的套件包只有 32 位元的平台,因此小弟決定自己編啦∼!

因為小的比較愛用穩定版因此以下要來編的是 gcin 1.4.2 的穩定版,當然你也可以下載 1.4.3 pre 來編。
$ wget http://cle.linux.org.tw/gcin/download/gcin-1.4.2.tar.bz2

接著安裝些編譯時必須的玩意,另外別忘了移除既有的 gcin
$ sudo apt-get build-dep gcin
$ sudo aptitude remove gcin

接著在安裝完不少東西之後呢,當然就是要把剛下載好熱騰騰的原始碼解開:
$ tar -xjvf gcin-1.4.2.tar.bz2

由於 Ubuntu 環境的不同,所以我們必須動手改一些設定,首先先打開 configure

$ nano gcin-1.4.2/configure

請尋找【 QT_IM_DIR=/usr/lib/$i/plugins/$LIB/inputmethods 】並改成【 QT_IM_DIR=/usr/lib/$i/plugins/inputmethods 】。 然後打開 qt-im 下的 Makefile
$ nano gcin-1.4.2/qt-im/Makefile

並且找到【 /usr/lib/$(QT)/bin/moc $< -o $<_moc.cpp 】然後將它取代成【 moc $< -o $<_moc.cpp 】然後把 /usr/include/qt3 鏈結到 /usr/lib/qt3/include
$ ln -s /usr/include/qt3 /usr/lib/qt3/include

然後就可以開始編譯啦!
$ cd gcin-1.4.2
$ ./configure --prefix=/usr/
$ make
$ sudo make install

編譯完後重新登入應該就可以看到新版的 gcin 現身啦!

gcin 1.4.2

iPod shuffle + Ubuntu 【gtkPod 篇】

2012/2/8 16:40:00 | Breezy Dream

在不能使用 iTunesUbuntu 底下,如何使用 iPod 總是需要經過一點研究,本篇就來紀錄一下在 Ubuntu 底下與 iPod shuffle 2 傳輸的方法吧! :)

本篇的主角是 gtkPod 程式,這是 Ubuntu 下常用的 iPod 傳輸程式之一,並且支援這款 iPod shuffle 。 該程式可以直接在官方套件庫找到,由於 iPod shuffle 支援 AAC 格式,所以當然不能浪費,我們要安裝的是支援 AAC 的版本:
$ sudo aptitude install gtkpod-aac
當然你也可以使用你慣用的套件管理程式進行安裝。

安裝好以後請打開 gtkPod 然後將 iPod 和電腦連接,並將其掛載。此時 gtkPod 會自動偵測到 iPod shuffle 的存在,並且詢問你 iPod 的機型,因為我的是 iPod shuffle 2nd Gen 綠色版本,所以就必須在選單中選擇 【Shuffle (2nd Gen.)】→【1GB Shuffle (Green) (xA951)】。 注意,不管你的 shuffle1GB 還是 2GB 的版本在這裡並無分別,因為它們使用的資料庫基本上是一樣的。 選單上還有一個 Shuffle (3rd Gen.) ,我不知道這是指哪一款 iPod ,但已知我目前這款 iPod shuffle 如果選這個是無法運作的(是給蘋果未來的 shuffle 用的?)。 選擇機型的這個部分很重要,因為蘋果特地幫 shuffle 重新設計了一套資料庫,所以選到其它的型號的話很可能會無法使用。

如果是沒和 iTunes 同步過的全新 iPod ,因為裡面空空如也,並不能馬上進行同步。 必須先將裡面的資料庫系統建立起來,請在 gtkPod 上選擇 【File】→【Create iPod's Directories】,將 iPod 的資料結構建立起來。

當成功的執行完上述所說的步驟以後,初步的設定就算完成了。 但假如你碰到一些狀況:

  1. Q: iPod 插上去沒反應?
    A: 請你找一台有 WindowsMacOSX 的電腦,透過 iTunes 在 編輯→喜好設定→iPod 中,將 iPod 的磁碟使用功能啟用,這樣才能順利在 Linux 下存取。 通常該功能預設是開啟的。
  2. 還有一種情況就是 iPod 所使用的檔案系統無法被系統識別,這時請你找一台有 iTunes 的電腦,插上你的 iPod依照 iTunes 的指示進行格式化和初始化的動作,請不要自行使用系統自帶的格式化功能!

在經過漫長的波折後,我們總算可以開始傳音樂了,不過如果想統一使用某種格式並且想讓 gtkPod 自動完成這項任務的話,你可以在 【Edit】→【Edit Preferences】→【Tools】中,看到底下的 On-the-fly Conversion 的地方,在想要讓它自動轉換的格式打勾,並且選擇你想要使用的轉換 Script ,例如說我想要讓它自動把 Ogg 轉換成 M4A (也就是傳說中的 AAC !!),只要在【Ogg with:】打勾,並且按 Browse 選擇 /usr/share/gtkpod-aac/scripts/convert-2m4a.sh 就可以了! 這個檔案是 gtkPod 專門用來將其它格式轉換成 M4AShell Script ,如果想要轉成 MP3 的話,就選擇同資料夾下的 convert-2mp3.sh 就可以了。

一切設定完成以後,就可以傳歌了! 請點選 Add Files 鈕,如果想匯入整個資料夾,也可以點 Add Folder 按鈕,然後選擇想匯入的歌曲,接著 gtkPod 就會開始進行傳輸了,如果剛剛有選擇讓它自動轉換的話,轉檔的作業此時也會一併完成。

gtkPod 上是可以自己安排歌曲播放順序的,你可以依照你自己的意思排列 shuffle 中的歌曲,這份播放清單的順序將用在 iPod shuffle 的循序播放模式。 排列方式相當簡單,首先必須在程式左邊的那一欄選擇自己的 iPod ,接著右欄下方會出現所有在 shuffle 中的歌曲,你只要直接拖曳歌曲的順序就可以了。

當一切操作完成以後,請點選 Save Changes 按鈕,等待作業完成,接著請在左欄找到 iPod 點選右鍵選擇 【Eject iPod】,然後卸載 iPod 就可以將 iPod 拔下來了。 要注意的是,在 Linux 下無論 iPod 是否掛載,它都會呈現閃橘色燈的資料傳輸狀態,因此若確定已經正確的從電腦卸載,便可將 iPod 從底座上取下。 如果你想確定充電狀態,也可以從終端機中使用命令列將 iPod 完整的退出,比如說我的 iPod 插上去後存在於系統的裝置是 /dev/sdf ,那我只需:
sudo eject sdf
執行後就可以完整的將 shuffle 從電腦上退出, iPod 也就會回到充電狀態的指示燈了。

KDE 4.2 熱騰騰的出爐了!

2012/2/8 16:40:00 | Breezy Dream
KDE 4.2 Breathe!

經過漫長的半年開發期後, KDE 4.2 終於在昨天(1/28)熱騰騰的釋出了! 一年前的 KDE 4.0 剛發佈的當時,雖然當初的 KDE 4 不管在技術上還是在外型上都與 KDE3 有顯著的差別和突破,但畢竟當時的 KDE 4.0 仍是個不成熟的版本,還有非常多的問題等待解決。 經過半年前的 4.1 版後,到現在的 4.2 , KDE 4 逐漸趨於穩定,也越來越多的重量級 KDE 程式轉移到 KDE 4 的世界中。

在這次的改版當中, KDE TeamPlasma 下了不少功夫。 在它的面板部分設計了新的設定介面,讓使用者可以透過簡單的拖曳以及點選完成設定,面板「自動隱藏」的功能也終於在 4.2 當中重新出現。(不過仍然不見網路連線設定的出現…… Orz

另外現在 KDE 程式也能透過 Akonadi 系統匣工具整合顯示狀態,譬如說當你刪除或複製檔案時,將不會再顯示一個擋路的對話框顯示進度,取而代之的是在系統匣顯示一個小圖示並顯示一個小訊息框,你可以透過訊息框了解進度,也可以透過它停止或者是暫停複製等等。 如果你嫌它擋路,你只要點一下系統匣上的圖示這些訊息框就會被收進系統匣。 不管是複製、移動、刪除檔案、從網路上下載東西,甚至是 Kopete 接收到的即時訊息都可以統一管理。

另外 KDE 4.2 也多了一種叫作 Lancelot 的選單,雖然 Kick off 選單仍然是預設的,單我個人認為 Lancelot 相當的不錯喔! 大家如果想嘗試的話可以從 Plasma 的元件選單裡把它拉出來試試看。

最後在 Oxygen 佈景主題的部分一如以往 4.2 版也做了部分修改,使它更加美麗喔! 接著有四支 Demo 影片,這是 KDE 官方網站提供的,但由於原影片實在太大,串流播放相當不流暢,因此我將影片下載來調整過後重新上傳到了 YouTube ,以下是四支 KDE 4.2 特色的介紹影片:


另外,在這裡提供一下針對 Kubuntu Intrepid Ibex 用戶的更新方法。 在開始安裝 KDE4.2 之前,請檢查你是否有安裝 koffice-data-kde4 。 如果有的話請事先將它移除,否則會和待會要加進去的套件庫裡的東西衝突。
$ sudo aptitude remove koffice-data-kde4
接著請(用乳特身份)打開 /etc/apt/sources.list 並加入以下套件來源:

deb http://ppa.launchpad.net/kubuntu-experimental/ubuntu intrepid main

然後請在終端機裡執行:
$ gpg --keyserver keyserver.ubuntu.com --recv-keys 493B3065 && gpg --export -a 493B3065 | sudo apt-key add -

由於新舊兩版的 Plasma 差距太大,所以 4.2 版的 Plasma 元件和舊版並不相容,請移除舊版 Plasma 的元件,包括例如 extragear-plasma 這樣的套件。

接著如果你有使用 Compiz Fusion 的話要特別注意到的是因為其中的 KDE Window Decorator ,也就是使用 KDE 佈景主題的視窗邊框有依賴一個 Plasma 的函式庫,因此也暫時沒有辦法和 4.2 相容,所以如果你升級了 4.2 版的 KDE ,你可能就必須改用 Emerald 做為視窗邊框裝飾程式或者必須使用 KWin 來替代了。

一切就緒以後就可以開始做升級的動作了! 你可以選擇使用你慣用的套件管理程式,以 Aptitude 為例:
$ sudo aptitude update ; sudo aptitude upgrade
這樣就可以開始進行升級了! 此外,由於 KDE 4.2Akonadi 會需要安裝 MySQL ,因此如果你以前沒安裝過 MySQL 的話在設定階段 MySQL 會要求你設定一組密碼,請隨興輸入就可以啦!

當升級完成以後,請你直接登出並且按 Alt + E 重新啟動 X 再登入就可以了! Enjoy it! :)

讓 Konqueror 實現雙引擎 — KHTML/WebKit

2012/2/8 16:40:00 | Breezy Dream

KDE 4 尚未釋出前就曾經提過有關將 WebKit 整合到 KDE 4 的消息,目前 WebKit 不但已經導入了 Plasma 中應用,甚至也可以供給 Konqueror 做為次要的網頁排版引擎。 不管是 KHTML 或者是 WebKit ,都是速度奇快的網頁排版引擎,但由於使用 WebKit 的瀏覽器當中,有比較多是屬於主流勢力(SafariGoogle Chrome...),也因此有許多網路服務也都只有針對 WebKit 提供支援,因此 WebKit 的導入,無疑的讓 Konqueror 的實用性大大的提升。

雖然這根本不是什麼大新聞,早在 Kubuntu 8.04 釋出以前就有相關的套件可以實作。但在當時的狀況來說,根本不堪用,不但速度奇慢、載入狀況多、有圖片時還會跑出一票的圖片傳輸視窗。 並且這個套件還曾經在 Kubuntu 套件庫中消失過好一陣子。

歷經一段漫長的開發期以後我們終於又可以重新在 Konqueror 上看到 WebKit 的蹤跡,並且這次比之前更接近堪用的境界,我想會弄那麼久,大概是因為在 KDE 裡整合 WebKit 的主要對象是 Plasma 而不是 Konqueror 的緣故吧!雖然說我還蠻好奇為什麼 Plasma 不使用 KHTML 的?

如果你使用的是 Kubuntu 環境的話那你應該可以輕鬆的將它安裝起來:
$ sudo aptitude install webkitkde
這麼一來,就可以在 Konqueror 的網頁瀏覽模式中的檢視模式裡看到 WebKit 這個選項了!

現在 KonquerorWebKit 速度雖然不怎麼樣,但是功能上還算正常,大部分的網頁也都可以正常瀏覽,並且一些不支援 KHTML 的服務比如說 BloggerWYSIWYG 編輯器和 Flickr 的相片上傳功能現在都可以在 Konqueror 裡正常使用了!(不過不曉得為什麼在使用 Blogger 時一直無法儲存文章)

雖然現在在 Konqueror 裡使用 WebKit 的狀況有比之前好上許多,但還是可以發現不少問題。 例如 Konqueror 設定視窗裡的字型設定和 UserAgent 偽裝功能在使用 WebKit 的情況下根本無法生效,偏偏使用 WebKit 的預設字體真的還蠻小的,看起來有點傷眼睛。

此外, KDE 底下的 WebKit 不曉得是太舊還是什麼原因,ACID3 測試結果僅得 44 分,比起 KHTML 4.1.85 的 85 分來說是落後了好一大截。 並且在 Konqueror 的設定選項裡還找不到任何可以調整到底是要使用 WebKit 還是 KHTML 做為預設排版引擎的選項,也就是說要把 WebKit 設定成預設排版引擎現階段應該還是不可能的,只能透過手動選擇來切換,並且開另外一個分頁或者是手動輸入網址的時候又會自動跳回 KHTML ,使用上還是不太方便。 我想這可能跟此專案還是處於開發階段有著很大的關係吧。我個人比較希望的是能夠建立一個篩選器的功能決定瀏覽哪些網站的時候自動切換成 WebKit 如此一來就不用手動在兩個引擎之間切來切去的了!

在 Ubuntu 裡安裝 Linux 下的重量級音樂創作軟體 — LMMS

2012/2/8 16:40:00 | Breezy Dream

很久之前有寫過某些 很變態 的網友自己利用 XPVista 的系統音效配出來的神奇音樂,然而其實這類作品在 YouTube 上可說是多到溢出來啊!

其實像這種這麼有趣的玩意兒你要是有本事的話,你也可以在 Linux 上自己搞一個喔! 當然最最主角的專業級音樂創作軟體就是這次要跟大家介紹的重點啦! 首先是在 YouTube 上挖掘(?)到的作品:

由於小的自己很沒本事(←弱掉 Orz)所以說沒辦法解說這套軟體的詳細使用方式,只能簡單的介紹一下它在 Ubuntu 下的安裝方式,剩下的就期待強者來補完它吧! XD

LMMS Snapshot

LMMS (Linux MultiMedia Studio) 是一套強大的音樂製作軟體,雖然他不算是 KDE 軟體,但它同 KDE 是使用 Qt 程式庫。 因此若你使用的是 KDE 的話,跑起來應該會比較順利一些?

這套軟體其實早就存在於官方的套件庫之中,不過似乎是這套軟體的知名度不是很高,或者需要這類軟體的人並不多,因此存在於套件庫之中的版本並非最新版。 要取得最新版的話還得加個 Launchpad 的套件來源,專案名稱叫作「PPA for tobydox」:
deb http://ppa.launchpad.net/tobydox/ubuntu intrepid main
deb-src http://ppa.launchpad.net/tobydox/ubuntu intrepid main

請把上列來源加入 sources.list 中,至於怎麼加大家應該比我還厲害才對?

接著請打開你慣用的套件管理程式更新套件清單以後再安裝「lmms」這個套件就可以使用啦!

$ sudo aptitude update
$ sudo aptitude install lmms